Get Control Accounts

Prev Next
Get
/v1/control-accounts

Read all Control Accounts within the permissions of the user.

Security
HTTP
Type basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the Authentication Guide.

Query parameters
page
integer

Page number

size
integer

Number of items per page

name
string

Filter by Control Account name

governanceAccountId
integer

Filter by Governance Account ID

status
string

Filter by account status

Valid values[ "Active", "Deactivated" ]
primaryApiKey
string

Filter by primary API key

includeApiKey
boolean

Include API key in response

id
integer

Filter by Control Account ID

controlAccountEmail
string (email)

Filter by Control Account email

includeDeletedSubAccounts
boolean

Include deleted sub-accounts in counts

Responses
200

Successfully retrieved Control Accounts

{
  "success": "True",
  "data": {
    "items": [
      {
        "id": "13337",
        "name": "Sample Control Account",
        "partnerType": "RESELLER",
        "accountType": "Company",
        "status": "Active",
        "imageUrl": "",
        "creationDate": "2023-01-15T10:30:00Z",
        "address1": "123 Main St",
        "address2": "",
        "country": "United States",
        "city": "Boston",
        "state": "Massachusetts",
        "zip": "02101",
        "mainPhone": "555-0100",
        "billingPhone": "",
        "contactEmail": "contact@example.com",
        "billingEmail": "billing@example.com",
        "businessNumber": "",
        "taxId": "",
        "fiscalNumber": "",
        "vatNumber": "",
        "website": "https://example.com",
        "ssoEnabled": "False",
        "storageQuotaType": "Hard Quota",
        "governanceAccountId": "3214",
        "governanceAccountName": "Sample Governance",
        "channelAccountsCount": "5",
        "subAccountsCount": "25",
        "controlAccountEmail": "control@example.com",
        "subAccountStorage": "1.62126952",
        "controlAccountStorage": "0.00690326",
        "totalStorage": "1.62817278",
        "defaultPurchasedStorageTB": "10.0"
      }
    ],
    "page": "1",
    "size": "20",
    "total": "1"
  }
}
Expand All
object
success
boolean
data
object
items
Array of object (ControlAccountResponse)
object
id
integer
name
string
partnerType
string
accountType
string
status
string
imageUrl
string | null
creationDate
string (date-time)
address1
string | null
address2
string | null
country
string | null
city
string | null
state
string | null
zip
string | null
mainPhone
string | null
billingPhone
string | null
contactEmail
string
billingEmail
string
businessNumber
string | null
taxId
string
fiscalNumber
string | null
vatNumber
string | null
website
string | null
ssoEnabled
boolean
storageQuotaType
string
governanceAccountId
integer
governanceAccountName
string
channelAccountsCount
integer
subAccountsCount
integer
controlAccountEmail
string
primaryApiKey
string
secondaryApiKey
string
subAccountStorage
number
controlAccountStorage
number
totalStorage
number
defaultPurchasedStorageTB
number
page
integer
size
integer
total
integer